Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.event
Class MessagingTaskEventListener

    java.lang.Object
      org.jbpm.task.event.MessagingTaskEventListener

All Implemented Interfaces:
  EventListener, TaskEventListener

    public class MessagingTaskEventListener

extends Object
implements TaskEventListener

Constructor Summary
`MessagingTaskEventListener(EventKeys keys)`

Method Summary
`void` | `taskClaimed(TaskUserEvent event)`
`void` | `taskCompleted(TaskUserEvent event)`
`void` | `taskCreated(TaskUserEvent event)`
`void` | `taskFailed(TaskUserEvent event)`
`void` | `taskForwarded(TaskUserEvent event)`
`void` | `taskReleased(TaskUserEvent event)`
`void` | `taskSkipped(TaskUserEvent event)`
`void` | `taskStarted(TaskUserEvent event)`
`void` | `taskStopped(TaskUserEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagingTaskEventListener

    public MessagingTaskEventListener(EventKeys keys)

Method Detail

### taskClaimed

    public void taskClaimed(TaskUserEvent event)

  Specified by:
    `taskClaimed` in interface `TaskEventListener`

### taskCompleted

    public void taskCompleted(TaskUserEvent event)

  Specified by:
    `taskCompleted` in interface `TaskEventListener`

### taskFailed

    public void taskFailed(TaskUserEvent event)

  Specified by:
    `taskFailed` in interface `TaskEventListener`

### taskSkipped

    public void taskSkipped(TaskUserEvent event)

  Specified by:
    `taskSkipped` in interface `TaskEventListener`

### taskCreated

    public void taskCreated(TaskUserEvent event)

  Specified by:
    `taskCreated` in interface `TaskEventListener`

### taskStarted

    public void taskStarted(TaskUserEvent event)

  Specified by:
    `taskStarted` in interface `TaskEventListener`

### taskStopped

    public void taskStopped(TaskUserEvent event)

  Specified by:
    `taskStopped` in interface `TaskEventListener`

### taskReleased

    public void taskReleased(TaskUserEvent event)

  Specified by:
    `taskReleased` in interface `TaskEventListener`

### taskForwarded

    public void taskForwarded(TaskUserEvent event)

  Specified by:
    `taskForwarded` in interface `TaskEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.